NXOpen .NET Reference  12.0.0
NXOpen.CAE.SetManager Member List

This is the complete list of members for NXOpen.CAE.SetManager, including all inherited members.

AttributeType enum nameNXOpen.NXObject
CleanTargetSet(int setIndex)NXOpen.CAE.SetManager
CreateAttributeIterator()NXOpen.NXObject
CreateCaeSet()NXOpen.CAE.SetManager
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DistributedPlanesBboxType enum nameNXOpen.CAE.SetManager
DistributedPlanesBoundingSphereDirection enum nameNXOpen.CAE.SetManager
DistributedPlanesBoundingSphereType enum nameNXOpen.CAE.SetManager
DistributedPlanesPosition enum nameNXOpen.CAE.SetManager
FindObject(string journalIdentifier)NXOpen.NXObject
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetRealAttribute(string title)NXOpen.NXObject
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetReferenceAttribute(string title)NXOpen.NXObject
GetStringAttribute(string title)NXOpen.NXObject
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetTargetSetDistributedPlanes(int setIndex, out NXOpen.CAE.SetManager.DistributedPlanesPosition centerMethod, out NXOpen.Point centerPoint, out NXOpen.CAE.SetManager.DistributedPlanesPosition radiusMethod, out NXOpen.Expression radiusFactor, out NXOpen.Expression radiusValue, out NXOpen.CAE.SetManager.DistributedPlanesBboxType bboxOption, out NXOpen.CAE.FEElement[] bboxElems, out NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereType spaceDefinition, out NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereDirection sphereDirection, out NXOpen.Direction sphereDirectionVector, out NXOpen.Point sphereDirectionPoint1, out NXOpen.Point sphereDirectionPoint2, out NXOpen.Point sphereDirectionPoint3, out bool flipNormal, out int refinementLevel)NXOpen.CAE.SetManager
GetTargetSetExcludedMembers(int setIndex, out NXOpen.CAE.SetObject[] objects)NXOpen.CAE.SetManager
GetTargetSetGroup(int setIndex)NXOpen.CAE.SetManager
GetTargetSetMembers(int setIndex, out NXOpen.NXObject displayCoordinateSystem, out NXOpen.CAE.SetObject[] objects)NXOpen.CAE.SetManager
GetTargetSetPlane(int setIndex, out NXOpen.Point3d planePosition, out NXOpen.Vector3d planeNormal)NXOpen.CAE.SetManager
GetTargetSetPlaneWithOffset(int setIndex, out NXOpen.Point3d planePosition, out NXOpen.Vector3d planeNormal, out NXOpen.Expression offsetValue)NXOpen.CAE.SetManager
GetTargetSetPointLocation(int setIndex)NXOpen.CAE.SetManager
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
NameNXOpen.NXObject
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetName(string name)NXOpen.NXObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTargetSetDistributedPlanes(int setIndex, NXOpen.CAE.SetManager.DistributedPlanesPosition centerMethod, NXOpen.Point centerPoint, NXOpen.CAE.SetManager.DistributedPlanesPosition radiusMethod, NXOpen.Expression radiusFactor, NXOpen.Expression radiusValue, NXOpen.CAE.SetManager.DistributedPlanesBboxType bboxOption, NXOpen.CAE.FEElement[] bboxElems, NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereType spaceDefinition, NXOpen.CAE.SetManager.DistributedPlanesBoundingSphereDirection sphereDirection, NXOpen.Direction sphereDirectionVector, NXOpen.Point sphereDirectionPoint1, NXOpen.Point sphereDirectionPoint2, NXOpen.Point sphereDirectionPoint3, bool flipNormal, int refinementLevel)NXOpen.CAE.SetManager
SetTargetSetEdgePath(int setIndex, NXOpen.CAE.CAEEdge[] seedEdges, NXOpen.CAE.CAEVertex[] seedVertices)NXOpen.CAE.SetManager
SetTargetSetEdgePath(int setIndex, NXOpen.CAE.CAEEdge[] seedEdges, NXOpen.CAE.CAEVertex[] seedVertices, bool[] preferFreeEdges, bool[] allowGapJumping, double[] gapJumpingTolerance)NXOpen.CAE.SetManager
SetTargetSetElemEdgePath(int setIndex, NXOpen.CAE.FEElemEdge[] seedEdges, NXOpen.CAE.FENode[] seedVertices)NXOpen.CAE.SetManager
SetTargetSetElemEdgePath(int setIndex, NXOpen.CAE.FEElemEdge[] seedEdges, NXOpen.CAE.FENode[] seedVertices, bool[] preferFreeEdges, bool[] preferGeometryAssociatedEdges, bool[] preferFeatureElementEdges, double[] featureAngleTolerance, bool[] allowGapJumping, double[] gapJumpingTolerance)NXOpen.CAE.SetManager
SetTargetSetExcludedMembers(int setIndex, NXOpen.CAE.SetObject[] excludedObjects)NXOpen.CAE.SetManager
SetTargetSetExcludedMembers(int setIndex, NXOpen.CAE.CaeSetGroupFilterType selRecipeFilter, NXOpen.CAE.SetObject[] objects)NXOpen.CAE.SetManager
SetTargetSetGroup(int setIndex, NXOpen.CAE.CaeSetGroupFilterType filterType, NXOpen.CAE.CaeGroup group)NXOpen.CAE.SetManager
SetTargetSetMembers(int setIndex, NXOpen.CAE.SetObject[] objects)NXOpen.CAE.SetManager
SetTargetSetMembers(int setIndex, NXOpen.CAE.CaeSetGroupFilterType selRecipeFilter, NXOpen.CAE.SetObject[] objects)NXOpen.CAE.SetManager
SetTargetSetPlane(int setIndex, NXOpen.Point3d planePosition, NXOpen.Vector3d planeNormal)NXOpen.CAE.SetManager
SetTargetSetPlaneWithOffset(int setIndex, NXOpen.Point3d planePosition, NXOpen.Vector3d planeNormal, NXOpen.Expression offsetValue)NXOpen.CAE.SetManager
SetTargetSetPointLocation(int setIndex, NXOpen.Point3d position)NXOpen.CAE.SetManager
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
TargetSetCountNXOpen.CAE.SetManager
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.